Payment links

Create Payment Link

Create a new payment link for the authenticated business.

POST
/api/v1/payment-link

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/payment-link" \  -H "Content-Type: application/json" \  -d '{    "link_name": "Invoice payment",    "narration": "Payment for March invoice",    "fee_bearer": "MERCHANT"  }'
{
  "requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
  "requestTimestamp": "2026-03-25 09:15:00",
  "message": "Payment link created successfully.",
  "statusCode": 201,
  "data": {
    "linkName": "Invoice payment",
    "linkUrl": "https://app.example.com/pay/PLK_ABC123456",
    "amount": 5000,
    "currency": "NGN",
    "status": "active",
    "reference": "PLK_ABC123456",
    "sourceReference": "SRC_PLK_001"
  }
}
Empty
Empty

How is this guide?

Last updated on